#include <iocslib.h>
#include "defines.h"
#include "aigtext.h"

int EX_PUTC2(int mode,int c)
/* 拡張属性 １文字表示（8*16,16*16,12*24,24*24）*/
{
int col;
_FNTBUF fnt;
	if (mode==8 && c>=' ') { /* 8*16,16*16モードの時 */
		/* 拡張属性が使われていない時はB_PUTC()に任せる（高速化）*/
		/* 但し、コントロールコードは可視化するので任せない */
		col=EX_COLOR(-1);
		if (col==(col&(BIT0123))) return(B_PUTC(c));
	}
	if (fontsetc(c,mode,&fnt)) return(FONTPUT2(&fnt));
	return(-1); /* ２バイトコードが完成していない時 */
}
